# Uses of Interface
java.awt.Stroke

Packages that use Stroke
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.

## Uses of Stroke in java.awt

Classes in java.awt that implement Stroke
Modifier and Type
Class
Description
`class`
`BasicStroke`
The `BasicStroke` class defines a basic set of rendering attributes for the outlines of graphics primitives, which are rendered with a `Graphics2D` object that has its Stroke attribute set to this `BasicStroke`.
Methods in java.awt that return Stroke
Modifier and Type
Method
Description
`abstract Stroke`
Graphics2D.`getStroke()`
Returns the current `Stroke` in the `Graphics2D` context.
Methods in java.awt with parameters of type Stroke
Modifier and Type
Method
Description
`abstract void`
Graphics2D.`setStroke(Stroke s)`
Sets the `Stroke` for the `Graphics2D` context.